/* Copyright (C) 2009, Chuck Shotton, http://www.shotton.com/
 * Licensed under the Creative Commons Attribution-Share Alike 3.0 license.
 * See http://creativecommons.org/licenses/by-sa/3.0/ for details.
 */

package com.concluent.rssNimbus;

import org.restlet.data.*;
import org.restlet.representation.Representation;
import org.restlet.representation.StringRepresentation;
import org.restlet.resource.Get;
import org.restlet.resource.Post;
import org.restlet.resource.ServerResource;

/**
 * Default handler for all URLs not explicitly supported by other restlet handlers
 * @author Chuck Shotton
 *
 */
public class DefaultHandler extends ServerResource{

 @Get
 @Post
	 public Representation represent(){
			Representation result = null;
			setStatus (Status.SERVER_ERROR_NOT_IMPLEMENTED);
			result = new StringRepresentation ("ERROR: You've requested an unimplemented service. Please go <a href=index.html>here</a>.");
			result.setMediaType(MediaType.TEXT_HTML);
			return result;
	 }
 
}